查询结果
- Endpoint:
POST /delSuffixStart5 - Tags: 收款
Description
注意请求地址不包含括号内的接口说明
Parameters
| Field | In | Type | Required | Constraints | Description |
|---|---|---|---|---|---|
sign | header | string | Yes |
Parameter Examples
sign:"FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="
Request Body
Content-Type: application/json
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
merchantId | string | Yes | maxLength: 30 | PayerMax 分配给商户的唯一标识 | |
bizType | string | Yes | maxLength: 30 | 业务代码,此接口需传入“payTransQuery” | |
version | string | Yes | maxLength: 5 | 接口版本。当前值为:2.8 | |
orderId | string | Yes | maxLength: 64 | 商户订单号 |
Example
json
{
"bizType": "payTransQuery",
"merchantId": "SP12345678",
"orderId": "154391186666",
"version": "2.8"
}Responses
200
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
data | object | Yes | 返回数据体,内容参考下方的【data参数】 | ||
data.totalAmount | string | Yes | maxLength: 12 | 商户传入的交易金额,取值范围:[1, 100000000],小数点后最多支持2位。注意:巴林、科威特、伊拉克,约旦、突尼斯、利比亚、奥马尔地区,本币只支持两位小数; 印尼、中国台湾、巴基斯坦、哥伦比亚地区,本币不支持带小数金额。详见【交易支持国家/地区与币种】 | |
data.currency | string | Yes | maxLength: 3 | 商户传入的交易币种,大写字母,参见【支持的国家与币种】 | |
data.payAmount | string | Yes | maxLength: 12 | 为用户实际支付的支付金额 | |
data.payCurrency | string | Yes | maxLength: 3 | 为用户实际支付的币种,大写字母,参见【支持的国家与币种】 | |
data.exchangeRate | string | No | maxLength: 16 | 交易金额转换为支付金额使用的汇率, 当交易币种与支付币种非同币种时返回 | |
data.tradeNo | string | Yes | maxLength: 64 | payermax平台订单号 | |
data.orderId | string | Yes | maxLength: 64 | 商户订单号 | |
data.status | number | Yes | 订单状态:0-待支付,1-支付成功,2-支付失败。该字段表明当前订单状态,重复请求时会返回已有订单状态。 | ||
data.errorCode | string | Yes | maxLength: 64 | 支付失败时对应的错误码值,若支付成功为空字符串 | |
data.errorMsg | string | Yes | maxLength: 256 | 支付失败时对应的错误描述,若支付成功为空字符串 | |
data.reference | string | No | maxLength: 512 | 商户传入的参数,与请求参数中的reference一致 | |
data.paymentMethodType | string | No | maxLength: 16 | 支付方式 | |
data.targetOrg | string | No | maxLength: 16 | 目标机构 | |
data.cardInfo | object | No | 卡信息 | ||
data.cardInfo.cardOrg | string | Yes | maxLength: 16 | 卡组 | |
data.cardInfo.cardIdentifierNo | string | Yes | 卡号(掩码返回) | ||
data.cardInfo.cardIdentifierName | string | No | 卡姓名(掩码返回) | ||
data.channelNo | string | No | maxLength: 64 | 渠道订单号 | |
data.thirdChannelNo | string | No | maxLength: 64 | 三方单号 | |
data.paymentCode | string | No | maxLength: 64 | VA单号 | |
bizCode | string | Yes | 返回码 | ||
message | string | No | maxLength: 256 | 响应消息 |
Response Example
json
{
"bizCode": "0000",
"data": {
"errorCode": "",
"errorMsg": "",
"status": 1,
"orderId": "dev-RenshTest1678256245027",
"tradeNo": "TOKEN202303080609000012",
"totalAmount": "9000.00",
"currency": "IDR",
"channelNo": "DMCP000000000177005",
"thirdChannelNo": "4ikqJ6ktEqyRawE1dvqb9c",
"paymentCode": "2312121212",
"payAmount": "0.00",
"payCurrency": "",
"exchangeRate": "1",
"reference": "12312",
"cardInfo": {
"cardOrg": "MASTERCARD",
"cardIdentifierNo": "520000******0007",
"cardIdentifierName": "*D"
},
"paymentMethodType": "CARD",
"targetOrg": ""
}
}